Subject: RE: bug#43407: 26.3; Please index Escape key (<ESC>) in manuals

From: Drew Adams <[email-masked]>
Date: Wed, 16 Sep 2020 17:14:41 +0000 (UTC)

> https://urldefense.com/v3/__https://emacs.stackexchange.com/q/60645/105__;!!G
> qivPVa7Brio!LN2r8M2IuqhOZUpWhWjcCRvPsbHvIkEwniDaMZr5orhuv7dAavkTfqLjbzFkrBKr$
> >
> > It should be made easy to find info about the relation between the Meta
> > modifier key and the Escape prefix key.
> 
> My reading of that question is that this user was confused and thought
> incorrectly that he needed the Escape key, where he really needed the
> Meta key.  So having that key in the index would not have helped him,
> perhaps even confuse him more.

No, I think he was trying to use the Escape key,
but didn't understand that it's a prefix key.

But it's not necessary to refer to that question
or what its correct interpretation is.

The request is to index coverage of the Escape
key, that is, places where we talk about <ESC>.

It's not obvious that you need to ask `i' about
<ESC> and not (alternatively) about the "Escape" key.

There should be an entry "Escape key (<ESC>)"
or similar.

> I've reviewed the places where we mention the ESC key in the manual,
> and I don't see there anything worth indexing under "Escape".  Sorry.

Too bad.  That's what some users (including me, in
this context, even though I know about <ESC>) will
look for, to find info about the key Emacs calls
<ESC>.